### Virtual Method

# Secret Backend ensure_for_flags

#### Declaration [src]

    void
    ensure_for_flags (
      SecretBackend* self,
      SecretBackendFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Implementation of reinitialization step in constructor, optional.

#### Parameters

`flags`

  Type: `SecretBackendFlags`

  No description available.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.